<?php

use App\Http\Controllers\BankController;
use Illuminate\Support\Facades\Route;

Route::get('/banks',     [BankController::class, 'index']);
Route::get('/bank/{id}', [BankController::class, 'show']);

Route::post('/bank',        [BankController::class, 'store'])->middleware('permission:config.bank,add');
Route::put('/bank/{id}',    [BankController::class, 'update'])->middleware('permission:config.bank,edit');
Route::delete('/bank/{id}', [BankController::class, 'destroy'])->middleware('permission:config.bank,delete');
